Bug 201307 - java/bootstrap-openjdk: patch and bootstrap binaries for armv6
Summary: java/bootstrap-openjdk: patch and bootstrap binaries for armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: Rui Paulo
URL:
Keywords:
Depends on:
Blocks: 201308
  Show dependency treegraph
 
Reported: 2015-07-03 18:12 UTC by Mikael Urankar
Modified: 2015-09-18 16:22 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (jkim)


Attachments
patch for armv6 (1.03 KB, patch)
2015-07-03 18:12 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2015-07-03 18:12:55 UTC
Created attachment 158299 [details]
patch for armv6

Hi,

I have boostrapped openjdk7 on armv6, you can find the tarball at [1] and the build log at [2]

I have attached a patch for review.

[1] http://mikael.urankar.free.fr/FreeBSD/arm/openjdk7-armv6-r378760.tar.xz
[2] http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/bootstrap-openjdk-r378760_1.log

Thanks.
Comment 1 Sean Bruno freebsd_committer 2015-08-11 18:41:17 UTC
Will do build validation and verification.
Comment 2 Sean Bruno freebsd_committer 2015-08-11 20:05:05 UTC
This looks good from the perspective of getting a bootstrap java built:
http://chips.ysv.freebsd.org/data/11armv6-default/2015-08-11_19h43m57s/logs/bootstrap-openjdk-r378760_1.log

We are now ready to take on openjdk7/8 which does fail to build after adding armv6 to ONLY_FOR_ARCHS:
http://chips.ysv.freebsd.org/data/11armv6-default/2015-08-11_19h54m28s/logs/errors/openjdk-7.80.15_1,1.log
Comment 3 Sean Bruno freebsd_committer 2015-09-17 15:29:24 UTC
If there are no objections, I will commit this and allow this port to build on armv6.
Comment 4 Greg Lewis freebsd_committer 2015-09-17 22:07:20 UTC
No objection.  I'd really like to get these changes pushed upstream, but that shouldn't block getting them committed.
Comment 5 commit-hook freebsd_committer 2015-09-18 15:48:15 UTC
A commit references this bug:

Author: sbruno
Date: Fri Sep 18 15:47:08 UTC 2015
New revision: 397256
URL: https://svnweb.freebsd.org/changeset/ports/397256

Log:
  Add support for armv6

  PR:		201307
  Submitted by:	rpaulo
  Reviewed by:	glewis

Changes:
  head/java/bootstrap-openjdk/Makefile
  head/java/bootstrap-openjdk/distinfo.armv6
Comment 6 Sean Bruno freebsd_committer 2015-09-18 15:49:33 UTC
bah

should have been "submitted by mikael" ... lame.
Comment 7 Jung-uk Kim freebsd_committer 2015-09-18 16:22:46 UTC
FYI, I just copied the distfile to my public_distfiles.  Although I have no way to reproduce it, i.e., java/openjdk7 cannot be built with it, I have no strong objection ATM.

Thanks, everyone!